TechDraw 3PtAngleDimension: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 6: Line 6:
==Description== <!--T:2-->
==Description== <!--T:2-->
The Dimension Angle3Pt tool adds a angular dimension to a View. The dimension may be specified by selecting three Vertices on a View. Note that the second of the three Vertices is the apex of the angle. The Angle3Pt will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the Link Dimension [[Image:LinkDimension.png|24px]] tool.
The Dimension Angle3Pt tool adds a angular dimension to a View. The dimension may be specified by selecting three Vertices on a View. Note that the second of the three Vertices is the apex of the angle. The Angle3Pt will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the Link Dimension [[Image:LinkDimension.png|24px]] tool.
[[File:AngleSample3Pt.png|200px|center]]
[[File:Angle3PtSample.png|200px|center]]


==How to use== <!--T:3-->
==How to use== <!--T:3-->

Revision as of 00:33, 2 October 2018

TechDraw Dimension Angle3Pt

Menu location
TechDraw → Dimension Angle3Pt
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
None

Description

The Dimension Angle3Pt tool adds a angular dimension to a View. The dimension may be specified by selecting three Vertices on a View. Note that the second of the three Vertices is the apex of the angle. The Angle3Pt will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the Link Dimension tool.

File:Angle3PtSample.png

How to use

  1. Select the points or edge which define your measurement.
  2. Press the File:TechDraw Dimension Angle3Pt.png Dimension Angle3Pt button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Options

None.

Properties

Template:TechDraw DimProps

Scripting

Angle3Pt dimensions can be added to Pages using Python.

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle3Pt"
dim1.References2D=[(view1, 'Vertex1',(view1, 'Vertex4'),(view1, 'Vertex2'))]
rc = page.addView(dim1)

Notes

  • None at this time